using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class CoolingTower : MonoBehaviour
    {
        public float CoolingSpeed;
        public float SetCoolingSpeed = 100f;
        private void Awake()
        {
            this.gameObject.GetComponent<PhysicalBehaviour>().ContextMenuOptions.Buttons.Add(new ContextMenuButton("coolingset", "Set Cooling", "Set Cooling.", new UnityAction[1]
            {
            (UnityAction) (() =>
            {
              DialogBox dialog = (DialogBox) null;
              dialog = DialogBoxManager.TextEntry("Enter cooling speed %\n<color=blue><size=26>Default: 100,Currently:" + this.SetCoolingSpeed.ToString() + "</size></color>", "Number", new DialogButton("Apply", true, new UnityAction[1]
              {
                (UnityAction) (() =>
                {
                  float result;
                  if (!float.TryParse(dialog.EnteredText, out result))
                    return;
                  this.SetCoolingSpeed = result;
                })
              }), new DialogButton("Cancel", true, new UnityAction[1]
              {
                (UnityAction) (() => dialog.Close())
              }));
            })
            }));
        }
        private void FixedUpdate()
        {
            if (GetComponent<PhysicalBehaviour>().Temperature > 100f)
            {
                GetComponent<PhysicalBehaviour>().Temperature -= (1f - CoolingSpeed) * SetCoolingSpeed * 0.01f;
            }
            if(SetCoolingSpeed < 0f)
            {
                SetCoolingSpeed = 100f;
            }
        }
    }
}
