using UnityEngine;
using System;

namespace NP
{
    public class Fuel : MonoBehaviour
    {
        public float BaseRadiation;
        public float Criticality;
        public float NeutronFlux = 0f;
        public float NeutronRadius;
        public float FuelTime;
        public float ActualFuelTime;
        public float Plating;
        public float FuelTimeModeration;
        public float ActualFuelTimeModeration;
        int Collider;
        float ExplodeName;
        bool Explode = false;
        bool Chernekov = false;
        public LightSprite glow;
        private void Start()
        {
            //CircleCollider2D circleCollider2D = this.gameObject.AddComponent<CircleCollider2D>();
            //circleCollider2D.radius = NeutronRadius;
            //circleCollider2D.isTrigger = true;
            //ActualFuelTime = FuelTime;
        }

        private void FixedUpdate()
        {
            if (Chernekov == false)
            {
                glow = ModAPI.CreateLight(transform, new Color(0f, 0.4f, 1f, 1f), 1, 1);
                Chernekov = true;
            }
            if(NeutronFlux >= Criticality && NeutronFlux >= 0f)
                glow.Brightness = ( (NeutronFlux + 1) / Criticality * BaseRadiation + BaseRadiation/ 200 ) * 5;
            else if(NeutronFlux >= 0f)
                glow.Brightness = ((NeutronFlux + 1) / Criticality * BaseRadiation + BaseRadiation / 400) * 1;
            if (this.gameObject.name == "Au-198 -NP")
                glow.Brightness = ((NeutronFlux + 1) / Criticality * BaseRadiation + BaseRadiation / 400) * 10;
            if (glow.Radius > 2.5f + (NeutronFlux + 1) / Criticality / 5)
            {
                glow.Radius -= (2.5f + (NeutronFlux + 1) / Criticality / 5) * 0.001f;
            }
            else if (glow.Radius < 2.5f + (NeutronFlux + 1) / Criticality / 5)
            {
                glow.Radius += (2.5f + (NeutronFlux + 1) / Criticality / 5) * 0.001f;
            }

            if (FuelTimeModeration < 76f)
            {
                ActualFuelTimeModeration = 1 - FuelTimeModeration * 0.01f;
            }
            else
            {
                ActualFuelTimeModeration = 0.25f;
            }

            if (NeutronFlux >= Criticality)
            {
                GetComponent<PhysicalBehaviour>().Temperature += NeutronFlux / Criticality * BaseRadiation / 2 * (ActualFuelTime / FuelTime + 0.3f) + GetComponent<PhysicalBehaviour>().Temperature * 0.001f * (ActualFuelTime / FuelTime + 0.3f) * BaseRadiation / 2;
                if(ActualFuelTime > 1f)
                    ActualFuelTime -= NeutronFlux / Criticality / 100f / ActualFuelTimeModeration;
                if (ActualFuelTime <= 0)
                    ActualFuelTime = 0.5f;
            }
            else
            {
                GetComponent<PhysicalBehaviour>().Temperature += BaseRadiation/200;
            }
            if (GetComponent<PhysicalBehaviour>().Temperature > 2000f + BaseRadiation * 1500f && Explode == false && NeutronFlux / Criticality >= 1f)
            {
                this.gameObject.GetOrAddComponent<ExplosiveBehaviour>().Range = 30f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().Delay = 2f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveStrength = 100f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().FragmentForce = 50f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DestroyOnExplode = false;
                this.gameObject.GetComponent<ExplosiveBehaviour>().BurnPower = 10f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().ShockwaveLiftForce = 50f;
                this.gameObject.GetComponent<ExplosiveBehaviour>().DismemberChance = 0.3f;
                this.GetComponent<Rigidbody2D>().velocity = new Vector2(0f, 15f);
                this.GetComponent<Radiation>().RadiationA = this.GetComponent<Radiation>().RadiationA * 200f;
                this.GetComponent<Radiation>().RadiationN = this.GetComponent<Radiation>().RadiationN * 2000f;
                Explode = true;
                BaseRadiation = BaseRadiation * 10f;
                Criticality = 100000f;
                this.gameObject.name = "Melted Fuel2 -NC";
                Destroy(this.gameObject.GetComponent<CircleCollider2D>());
                CircleCollider2D circleCollider2D = this.gameObject.AddComponent<CircleCollider2D>();
                NeutronRadius = NeutronRadius * 2f;
                circleCollider2D.radius = NeutronRadius;
                circleCollider2D.isTrigger = true;
            }

            if (ExplodeName > 50f)
            {
                this.gameObject.name = "Melted Fuel -NC";
            }
            else if(Explode == true)
            {
                ExplodeName += 1f;
            }

            if (Collider == 100)
            {
                Destroy(this.gameObject.GetComponent<CircleCollider2D>());
                Destroy(this.gameObject.GetComponent<CircleCollider2D>());
                NeutronFlux = 0f;
                Plating = 0f;
                FuelTimeModeration = 0f;
                CircleCollider2D circleCollider2D = this.gameObject.AddComponent<CircleCollider2D>();
                circleCollider2D.radius = NeutronRadius;
                circleCollider2D.isTrigger = true;
                Collider = UnityEngine.Random.Range(0, 10);
            }
            else
            {
                Collider++;
            }
            if(Collider > 100)
            {
                Collider = 99;
            }
        }

        private void OnTriggerEnter2D(Collider2D collider2D)
        {
            if (collider2D.gameObject.name == "Melted Fuel2 -NC")
            {
                GetComponent<PhysicalBehaviour>().Temperature += 2000f;
            }
            else if (collider2D.gameObject.name == "LEU-235 -NP")
            {
                NeutronFlux += 1f;
            }
            else if (collider2D.gameObject.name == "HEU-235 -NP")
            {
                NeutronFlux += 2f;
            }
            else if (collider2D.gameObject.name == "LEU-233 -NP")
            {
                NeutronFlux += 1f;
            }
            else if (collider2D.gameObject.name == "HEU-233 -NP")
            {
                NeutronFlux += 2f;
            }
            else if (collider2D.gameObject.name == "MOX-239 -NP")
            {
                NeutronFlux += 2f;
            }
            else if (collider2D.gameObject.name == "LEP-239 -NP")
            {
                NeutronFlux += 1.5f;
            }
            else if (collider2D.gameObject.name == "HEP-239 -NP")
            {
                NeutronFlux += 2.5f;
            }
            else if (collider2D.gameObject.name == "LEA-242 -NP")
            {
                NeutronFlux += 2f;
            }
            else if (collider2D.gameObject.name == "HEA-242 -NP")
            {
                NeutronFlux += 3f;
            }
            else if (collider2D.gameObject.name == "LECm-243 -NP")
            {
                NeutronFlux += 3f;
            }
            else if (collider2D.gameObject.name == "HECm-243 -NP")
            {
                NeutronFlux += 4f;
            }
            else if (collider2D.gameObject.name == "LEB-248 -NP")
            {
                NeutronFlux += 3.5f;
            }
            else if (collider2D.gameObject.name == "HEB-248 -NP")
            {
                NeutronFlux += 4.5f;
            }
            else if (collider2D.gameObject.name == "LECf-249 -NP")
            {
                NeutronFlux += 5f;
            }
            else if (collider2D.gameObject.name == "HECf-249 -NP")
            {
                NeutronFlux += 7f;
            }
            else if (collider2D.gameObject.name == "Cf-253 -NP")
            {
                NeutronFlux += 10f;
            }
            else if (collider2D.gameObject.name == "Graphite Moderator -NP")
            {
                NeutronFlux += 4f;
            }
            else if (collider2D.gameObject.name == "Heavy Water Moderator -NP")
            {
                NeutronFlux += 8f;
                FuelTimeModeration += 5f;
            }
            else if (collider2D.gameObject.name == "Boron Control Rod -NP")
            {
                NeutronFlux -= 10f;
            }
            else if (collider2D.gameObject.name == "Lead Plating -NP")
            {
                Plating += 10f;
            }
        }
        private void OnTriggerExit2D(Collider2D collider2D)
        {
            if (collider2D.gameObject.name == "LEU-235 -NP")
            {
                NeutronFlux -= 1f;
            }
            else if (collider2D.gameObject.name == "HEU-235 -NP")
            {
                NeutronFlux -= 2f;
            }
            else if (collider2D.gameObject.name == "LEU-233 -NP")
            {
                NeutronFlux -= 1f;
            }
            else if (collider2D.gameObject.name == "HEU-233 -NP")
            {
                NeutronFlux -= 2f;
            }
            else if (collider2D.gameObject.name == "MOX-239 -NP")
            {
                NeutronFlux -= 2f;
            }
            else if (collider2D.gameObject.name == "LEP-239 -NP")
            {
                NeutronFlux -= 1.5f;
            }
            else if (collider2D.gameObject.name == "HEP-239 -NP")
            {
                NeutronFlux -= 2.5f;
            }
            else if (collider2D.gameObject.name == "LEA-242 -NP")
            {
                NeutronFlux -= 2f;
            }
            else if (collider2D.gameObject.name == "HEA-242 -NP")
            {
                NeutronFlux -= 3f;
            }
            else if (collider2D.gameObject.name == "LECm-243 -NP")
            {
                NeutronFlux -= 3f;
            }
            else if (collider2D.gameObject.name == "HECm-243 -NP")
            {
                NeutronFlux -= 4f;
            }
            else if (collider2D.gameObject.name == "LEB-248 -NP")
            {
                NeutronFlux -= 3.5f;
            }
            else if (collider2D.gameObject.name == "HEB-248 -NP")
            {
                NeutronFlux -= 4.5f;
            }
            else if (collider2D.gameObject.name == "LECf-249 -NP")
            {
                NeutronFlux -= 5f;
            }
            else if (collider2D.gameObject.name == "HECf-249 -NP")
            {
                NeutronFlux -= 7f;
            }
            else if (collider2D.gameObject.name == "Cf-253 -NP")
            {
                NeutronFlux -= 10f;
            }
            else if (collider2D.gameObject.name == "Graphite Moderator -NP")
            {
                NeutronFlux -= 4f;
            }
            else if (collider2D.gameObject.name == "Heavy Water Moderator -NP")
            {
                NeutronFlux -= 8f;
                FuelTimeModeration -= 5f;
            }
            else if (collider2D.gameObject.name == "Boron Control Rod -NP")
            {
                NeutronFlux += 10f;
            }
            else if (collider2D.gameObject.name == "Lead Plating -NP")
            {
                Plating -= 10f;
            }
        }
    }
}
