using UnityEngine;

namespace NP
{
    public class NP
    {
        public static void Main()
        {
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Small Turbine -NP",
                    NameToOrderByOverride = "NPTurbine01",
                    DescriptionOverride = "Used to turn small amount of heat to electricity",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/TurbineSmallView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/TurbineSmall.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 20f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 20f;
                        Instance.GetOrAddComponent<Turbine>().MaxTemperature = 500f;
                        Instance.GetComponent<Turbine>().MultiplierTurbine = 0.2f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Medium Turbine -NP",
                    NameToOrderByOverride = "NPTurbine02",
                    DescriptionOverride = "Used to turn average amount of heat to electricity",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/TurbineMediumView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/TurbineMedium.png", 0.7f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 50f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 50f;
                        Instance.GetOrAddComponent<Turbine>().MaxTemperature = 3000f;
                        Instance.GetComponent<Turbine>().MultiplierTurbine = 0.15f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Large Turbine -NP",
                    NameToOrderByOverride = "NPTurbine03",
                    DescriptionOverride = "Used to turn large amounts of heat to electricity",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/TurbineLargeView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/TurbineLarge.png", 0.5f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 100f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 100f;
                        Instance.GetOrAddComponent<Turbine>().MaxTemperature = 100000f;
                        Instance.GetComponent<Turbine>().MultiplierTurbine = 0.1f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Cooling Tower -NP",
                    NameToOrderByOverride = "NPTurbine04",
                    DescriptionOverride = "Used to remove heat from reactor. Can be set to cool different amount of heat, might break with saving contraptions.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/CoolingTowerView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/CoolingTower.png", 0.5f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 500f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 500f;
                        Instance.GetOrAddComponent<CoolingTower>().CoolingSpeed = 0.05f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Water Block -NP",
                    NameToOrderByOverride = "NPTurbine05",
                    DescriptionOverride = "Doesn't have actual water physics, used for decoration though it does cool down its collision box (Grab from the bottom because that is where collision box is)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/WaterBlockView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/WaterBlock.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 50f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 50f;
                        foreach (UnityEngine.Object component in Instance.GetComponents<Collider2D>())
                            UnityEngine.Object.Destroy(component);
                        BoxCollider2D boxCollider2D = Instance.AddComponent<BoxCollider2D>();
                        boxCollider2D.size = new Vector2(5.5f, 0.1f);
                        boxCollider2D.offset = new Vector2(0f, -2.75f);
                        BoxCollider2D boxCollider2D1 = Instance.AddComponent<BoxCollider2D>();
                        boxCollider2D1.size = new Vector2(5.5f, 5.5f);
                        boxCollider2D1.offset = new Vector2(0f, 0f);
                        boxCollider2D1.isTrigger = true;
                        Instance.GetOrAddComponent<WaterBlock>() ;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LEU-235 -NP",
                    NameToOrderByOverride = "NPFuelNuclear01",
                    DescriptionOverride = "Most basic fuel for Nuclear reactors (Meltdown > 3500C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LEU-235 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LEU-235 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 10f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 10f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 2f;
                        Instance.GetComponent<Fuel>().Criticality = 35f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 3f;
                        Instance.GetComponent<Fuel>().FuelTime = 3000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 2f;
                        Instance.GetComponent<Radiation>().RadiationA = 20f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HEU-235 -NP",
                    NameToOrderByOverride = "NPFuelNuclear02",
                    DescriptionOverride = "Contains much more fissile isotope (U-235) than LEU (Meltdown > 5000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HEU-235 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HEU-235 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9.8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9.8f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 4f;
                        Instance.GetComponent<Fuel>().Criticality = 20f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 1500f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 3f;
                        Instance.GetComponent<Radiation>().RadiationA = 30f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LEU-233 -NP",
                    NameToOrderByOverride = "NPFuelNuclear03",
                    DescriptionOverride = "Uranium fuel with isotpe U-233 instead of U-235 making it much hotter (Meltdown > 5000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LEU-233 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LEU-233 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9.8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9.8f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 3.5f;
                        Instance.GetComponent<Fuel>().Criticality = 30f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 3.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 2500f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 3f;
                        Instance.GetComponent<Radiation>().RadiationA = 35f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HEU-233 -NP",
                    NameToOrderByOverride = "NPFuelNuclear04",
                    DescriptionOverride = "Contains much more fissile isotope (U-233) than LEU-233 making it even hotter (Meltdown > 8000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HEU-233 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HEU-233 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9.7f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9.7f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 7f;
                        Instance.GetComponent<Fuel>().Criticality = 17f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 1250f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 4f;
                        Instance.GetComponent<Radiation>().RadiationA = 40f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "MOX-239 -NP",
                    NameToOrderByOverride = "NPFuelNuclear05",
                    DescriptionOverride = "Uses Pu-239 instead of U-235 as fissile isotope (Meltdown > 3950C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/MOX-239 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/MOX-239 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9.8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9.8f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 2.3f;
                        Instance.GetComponent<Fuel>().Criticality = 30f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 4000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 2.5f;
                        Instance.GetComponent<Radiation>().RadiationA = 50f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LEP-239 -NP",
                    NameToOrderByOverride = "NPFuelNuclear06",
                    DescriptionOverride = "Nuclear fuel made completely out of plutonium isotopes (Meltdown > 4250C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LEP-239 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LEP-239 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 15f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 15f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 3f;
                        Instance.GetComponent<Fuel>().Criticality = 25f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 3f;
                        Instance.GetComponent<Fuel>().FuelTime = 2000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 3f;
                        Instance.GetComponent<Radiation>().RadiationA = 60f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HEP-239 -NP",
                    NameToOrderByOverride = "NPFuelNuclear07",
                    DescriptionOverride = "Highly enriched nuclear fuel made completely out of plutonium isotopes (Meltdown > 6500C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HEP-239 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HEP-239 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 16f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 16f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 6f;
                        Instance.GetComponent<Fuel>().Criticality = 16f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 5f;
                        Instance.GetComponent<Fuel>().FuelTime = 1000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 4f;
                        Instance.GetComponent<Radiation>().RadiationA = 70f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LEA-242 -NP",
                    NameToOrderByOverride = "NPFuelNuclear08",
                    DescriptionOverride = "Highly reactive and short lived fuel made from americium (Meltdown > 4250C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LEA-242 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LEA-242 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 13f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 13f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 3f;
                        Instance.GetComponent<Fuel>().Criticality = 20f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 3f;
                        Instance.GetComponent<Fuel>().FuelTime = 1500f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 6f;
                        Instance.GetComponent<Radiation>().RadiationA = 50f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HEA-242 -NP",
                    NameToOrderByOverride = "NPFuelNuclear09",
                    DescriptionOverride = "Even more reactive version of LEA-242 fuel (Meltdown > 5000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HEA-242 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HEA-242 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 16f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 16f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 4f;
                        Instance.GetComponent<Fuel>().Criticality = 13f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 750f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 9f;
                        Instance.GetComponent<Radiation>().RadiationA = 60f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LECm-243 -NP",
                    NameToOrderByOverride = "NPFuelNuclear10",
                    DescriptionOverride = "Very hot and short lived fuel  (Meltdown > 8000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LECm-243 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LECm-243 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 16f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 16f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 7f;
                        Instance.GetComponent<Fuel>().Criticality = 20f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 5f;
                        Instance.GetComponent<Fuel>().FuelTime = 1500f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 10f;
                        Instance.GetComponent<Radiation>().RadiationA = 70f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HECm-243 -NP",
                    NameToOrderByOverride = "NPFuelNuclear11",
                    DescriptionOverride = "even hotter short lived fuel  (Meltdown > 14000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HECm-243 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HECm-243 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 16f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 16f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 13f;
                        Instance.GetComponent<Fuel>().Criticality = 13f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 5f;
                        Instance.GetComponent<Fuel>().FuelTime = 900f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 12f;
                        Instance.GetComponent<Radiation>().RadiationA = 100f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LEB-248 -NP",
                    NameToOrderByOverride = "NPFuelNuclear12",
                    DescriptionOverride = "Slightly stronger fuel than LECm-243 (Meltdown > 9500C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LEB-248 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LEB-248 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 17f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 17f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 9f;
                        Instance.GetComponent<Fuel>().Criticality = 17f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 5f;
                        Instance.GetComponent<Fuel>().FuelTime = 1300f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 11f;
                        Instance.GetComponent<Radiation>().RadiationA = 80f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HEB-248 -NP",
                    NameToOrderByOverride = "NPFuelNuclear13",
                    DescriptionOverride = "Slightly stronger fuel than HECm-243  (Meltdown > 15500C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HEB-248 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HEB-248 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 17f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 17f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 16f;
                        Instance.GetComponent<Fuel>().Criticality = 11f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 5f;
                        Instance.GetComponent<Fuel>().FuelTime = 800f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 14f;
                        Instance.GetComponent<Radiation>().RadiationA = 120f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "LECf-249 -NP",
                    NameToOrderByOverride = "NPFuelNuclear14",
                    DescriptionOverride = "Very dangerous and radioactive fuel (Meltdown > 17000C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LECf-249 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LECf-249 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 19f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 19f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 15f;
                        Instance.GetComponent<Fuel>().Criticality = 8f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 8f;
                        Instance.GetComponent<Fuel>().FuelTime = 1300f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 20f;
                        Instance.GetComponent<Radiation>().RadiationA = 80f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "HECf-249 -NP",
                    NameToOrderByOverride = "NPFuelNuclear15",
                    DescriptionOverride = "Even more dangerous fuel that will activate from almost any neutron flux (Meltdown > 24500C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HECf-249 FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HECf-249 Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 18.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 18.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 18f;
                        Instance.GetComponent<Fuel>().Criticality = 4f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 10f;
                        Instance.GetComponent<Fuel>().FuelTime = 800f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 30f;
                        Instance.GetComponent<Radiation>().RadiationA = 150f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "TBU -NP",
                    NameToOrderByOverride = "NPFuelNuclear00",
                    DescriptionOverride = "Very efficent but hard to use fuel, doesn't achieve as high temperature as others and is hard to get criticality (also doesn't produce any neutron flux) (Meltdown > 3500C)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/TBU FuelView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/TBU Fuel.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 0.5f;
                        Instance.GetComponent<Fuel>().Criticality = 100f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 10000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 1f;
                        Instance.GetComponent<Radiation>().RadiationA = 15f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Uranium ore -NP",
                    NameToOrderByOverride = "NPOres01",
                    DescriptionOverride = "Uranium can be extracted using fuel reprocessor",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/UraniumOreView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/UraniumOre.png");
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 10f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 10f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 1f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.3f;
                        Instance.GetComponent<Radiation>().RadiationA = 5f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Thorium ore -NP",
                    NameToOrderByOverride = "NPOres02",
                    DescriptionOverride = "Thorium-232 and small amounts of uranium-233 can be extracted using fuel reprocessor",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ThoriumOreView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/ThoriumOre.png");
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 10f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 10f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 0.5f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.5f;
                        Instance.GetComponent<Radiation>().RadiationA = 10f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pu-238 -NP",
                    NameToOrderByOverride = "NPIsotopes01",
                    DescriptionOverride = "Plutonium isotope that has a lot of decay heat but can't be used in reactors by itself (trust me don't use it in reactors it won't work)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pu-238View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Pu-238.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9.8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9.8f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 300f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.1f;
                        Instance.GetComponent<Radiation>().RadiationA = 100f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Sr-90 -NP",
                    NameToOrderByOverride = "NPIsotopes02",
                    DescriptionOverride = "Isotope of strontium, Waste from thorium reprocessing.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Sr-90View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Sr-90.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 53f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 11f;
                        Instance.GetComponent<Radiation>().RadiationA = 320f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cs-137 -NP",
                    NameToOrderByOverride = "NPIsotopes03",
                    DescriptionOverride = "Isotope of cesium, Waste from uranium reprocessing. Also explodes in water",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cs-137View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cs-137.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 8f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 50f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 10f;
                        Instance.GetComponent<Radiation>().RadiationA = 300f;
                        Instance.GetOrAddComponent<Cesium>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pm-147 -NP",
                    NameToOrderByOverride = "NPIsotopes040",
                    DescriptionOverride = "Isotope of promethium, Waste from plutonium and americium reprocessing.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pm-147View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Pm-147.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 8.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 8.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 80f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 100f;
                        Instance.GetComponent<Radiation>().RadiationA = 3000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Eu-155 -NP",
                    NameToOrderByOverride = "NPIsotopes041",
                    DescriptionOverride = "Isotope of europium, Waste from HECf fuel reprocessing.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Eu-155View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Eu-155.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 7f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 7f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 60f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 70f;
                        Instance.GetComponent<Radiation>().RadiationA = 2000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ru-106 -NP",
                    NameToOrderByOverride = "NPIsotopes042",
                    DescriptionOverride = "Isotope of ruthenium, Waste from LECf fuel reprocessing.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Ru-106View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Ru-106.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 100f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 150f;
                        Instance.GetComponent<Radiation>().RadiationA = 6000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Co-60 -NP",
                    NameToOrderByOverride = "NPIsotopes043",
                    DescriptionOverride = "Isotope of cobalt, made from irradiating natural cobalt.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Co-60View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Co-60.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 10f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 10f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 10f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 3.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 300f;
                        Instance.GetComponent<Radiation>().RadiationA = 1000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Au-198 -NP",
                    NameToOrderByOverride = "NPIsotopes044",
                    DescriptionOverride = "Isotope of gold, made from irradiating natural gold. Extremely radioactive killing anyone nearby",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Au-198View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Au-198.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 11f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 11f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 500f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 10f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 1000000f;
                        Instance.GetComponent<Radiation>().RadiationA = 10000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Th-232 -NP",
                    NameToOrderByOverride = "NPIsotopes05",
                    DescriptionOverride = "Fertile isotope of thorium. Can be irradiated into Uranium-233",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Th-232View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Th-232.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 0.1f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.25f;
                        Instance.GetComponent<Radiation>().RadiationA = 13f;
                        Instance.GetOrAddComponent<Irradiator>().Isotope = "U-233 -NP";
                        Instance.GetComponent<Irradiator>().NeededFlux = 2500f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U-238 -NP",
                    NameToOrderByOverride = "NPIsotopes06",
                    DescriptionOverride = "Fertile isotope of uranium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/U-238View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/U-238.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 0.1f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.2f;
                        Instance.GetComponent<Radiation>().RadiationA = 10f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U-235 -NP",
                    NameToOrderByOverride = "NPIsotopes07",
                    DescriptionOverride = "Fissile isotope of uranium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/U-235View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/U-235.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 0.15f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.1f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.25f;
                        Instance.GetComponent<Radiation>().RadiationA = 13f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U-233 -NP",
                    NameToOrderByOverride = "NPIsotopes08",
                    DescriptionOverride = "Another Fissile isotope of uranium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/U-233View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/U-233.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5.4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5.4f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 1.2f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.3f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 3f;
                        Instance.GetComponent<Radiation>().RadiationA = 30f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pu-242 -NP",
                    NameToOrderByOverride = "NPIsotopes09",
                    DescriptionOverride = "Fertile isotope of plutonium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pu-242View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Pu-242.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 1.3f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 1f;
                        Instance.GetComponent<Radiation>().RadiationA = 20f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pu-239 -NP",
                    NameToOrderByOverride = "NPIsotopes10",
                    DescriptionOverride = "Fissile isotope of plutonium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pu-239View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Pu-239.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 2f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 10f;
                        Instance.GetComponent<Radiation>().RadiationA = 40f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Am-243 -NP",
                    NameToOrderByOverride = "NPIsotopes11",
                    DescriptionOverride = "Fertile isotope of americium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Am-243View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Am-243.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 3.5f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 15f;
                        Instance.GetComponent<Radiation>().RadiationA = 55f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Am-242 -NP",
                    NameToOrderByOverride = "NPIsotopes12",
                    DescriptionOverride = "Fissile isotope of americium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Am-242View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Am-242.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 5f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 35f;
                        Instance.GetComponent<Radiation>().RadiationA = 100f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cm-246 -NP",
                    NameToOrderByOverride = "NPIsotopes13",
                    DescriptionOverride = "Fertile isotope of curium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cm-246View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cm-246.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 5f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 16f;
                        Instance.GetComponent<Radiation>().RadiationA = 60f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cm-243 -NP",
                    NameToOrderByOverride = "NPIsotopes14",
                    DescriptionOverride = "Fissile isotope of curium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cm-243View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cm-243.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6.3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6.3f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 30f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 100f;
                        Instance.GetComponent<Radiation>().RadiationA = 200f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bk-247 -NP",
                    NameToOrderByOverride = "NPIsotopes15",
                    DescriptionOverride = "Fertile isotope of berkelium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bk-247View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Bk-247.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6.5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6.5f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 4f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 30f;
                        Instance.GetComponent<Radiation>().RadiationA = 80f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bk-248 -NP",
                    NameToOrderByOverride = "NPIsotopes16",
                    DescriptionOverride = "Fissile isotope of berkelium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bk-248View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Bk-248.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6.8f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6.8f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 5f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 40f;
                        Instance.GetComponent<Radiation>().RadiationA = 100f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cf-252 -NP",
                    NameToOrderByOverride = "NPIsotopes17",
                    DescriptionOverride = "Fertile isotope of californium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cf-252View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cf-252.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 8.4f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 8.4f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 50f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 200f;
                        Instance.GetComponent<Radiation>().RadiationA = 2000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cf-249 -NP",
                    NameToOrderByOverride = "NPIsotopes18",
                    DescriptionOverride = "Fissile isotope of californium",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cf-249View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cf-249.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 8.2f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 8.2f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 5f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 2.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 30f;
                        Instance.GetComponent<Radiation>().RadiationA = 80f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cf-250 -NP",
                    NameToOrderByOverride = "NPIsotopes19",
                    DescriptionOverride = "Isotope of californium generating extremely high amount of heat.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cf-250View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cf-250.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 8.3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 8.3f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 900f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1.5f;
                        Instance.GetComponent<Fuel>().FuelTime = 10f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 20f;
                        Instance.GetComponent<Radiation>().RadiationA = 3000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cf-253 -NP",
                    NameToOrderByOverride = "NPIsotopes20",
                    DescriptionOverride = "Extremely radioactive isotope of californium, do not bring close to any neutron sources. Releases so much radiation that it can activate most nuclear fuels on its own requiring special containers for save transport.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cf-253View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cf-253.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 9f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 9f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 80f;
                        Instance.GetComponent<Fuel>().Criticality = 1f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 7f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 1500f;
                        Instance.GetComponent<Radiation>().RadiationA = 1000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cobalt -NP",
                    NameToOrderByOverride = "NPIsotopes21",
                    DescriptionOverride = "Natural cobalt consisting of Cobalt-59 isotope",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/CoView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Co.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 11f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 11f;
                        Instance.GetOrAddComponent<Irradiator>().Isotope = "Co-60 -NP";
                        Instance.GetComponent<Irradiator>().NeededFlux = 5000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Gold -NP",
                    NameToOrderByOverride = "NPIsotopes22",
                    DescriptionOverride = "Natural Gold consisting of Gold-197 isotope, can be irradiated into EXTREMELY radioactive isotope of gold-198",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/AuView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Au.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 12f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 12f;
                        Instance.GetOrAddComponent<Irradiator>().Isotope = "Au-198 -NP";
                        Instance.GetComponent<Irradiator>().NeededFlux = 7000f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bismuth -NP",
                    NameToOrderByOverride = "NPZZZ",
                    DescriptionOverride = "technically radioactive (its a joke if you don't get it) made for JamesH_2",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BismuthView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Bismuth.png", 13f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 11f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 11f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 0.001f;
                        Instance.GetComponent<Fuel>().Criticality = 1000000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 1f;
                        Instance.GetComponent<Fuel>().FuelTime = 1f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 0.00001f;
                        Instance.GetComponent<Radiation>().RadiationA = 0.00001f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Graphite Moderator -NP",
                    NameToOrderByOverride = "NPModerator01",
                    DescriptionOverride = "Used in reactors to slow down neutrons",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/GraphiteModeratorView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/GraphiteModerator.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 7f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 7f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Heavy Water Moderator -NP",
                    NameToOrderByOverride = "NPModerator02",
                    DescriptionOverride = "Used in reactors to slow down neutrons even more. Decreases fuel lifetime by 5% down to 25%",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HeavyWaterModeratorView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HeavyWaterModerator.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Boron Control Rod -NP",
                    NameToOrderByOverride = "NPControlRod01",
                    DescriptionOverride = "Used in reactors to decrease power",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/BoronControlRodView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/BoronControlRod.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 13f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 13f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lead Plating -NP",
                    NameToOrderByOverride = "NPPlating01",
                    DescriptionOverride = "Decreases radiation from fuel cells by 10% up to 95%",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/LeadPlatingView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/LeadPlating.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 13f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 13f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Metal Cube"),
                    NameOverride = "Heat Valve -NP",
                    NameToOrderByOverride = "NPValve",
                    DescriptionOverride = "Used to control flow of the heat",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HeatValveView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HeatValve.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;
                        Instance.GetOrAddComponent<HeatValve>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Heat Sensor -NP",
                    NameToOrderByOverride = "NPSensor",
                    DescriptionOverride = "Used to detect excess heat (i did use a bit of code from Parts & contraptions mod by jimmyl to make setting heat possible and i also suggest downloading that mod for constant activation converter)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/HeatSensorView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/HeatSensor.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;
                        Instance.GetOrAddComponent<HeatSensor>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Geiger Counter -NP",
                    NameToOrderByOverride = "NPGeiger01",
                    DescriptionOverride = "Used to check current radiation levels",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/GeigerCounterView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/GeigerCounter.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<GeigerCounter>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Dosimeter -NP",
                    NameToOrderByOverride = "NPGeiger02",
                    DescriptionOverride = "Used to check current radiation levels",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/DosimeterView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Dosimeter.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<Dosimeter>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Thermometer -NP",
                    NameToOrderByOverride = "NPGeiger03",
                    DescriptionOverride = "Used to check temperature over 9999C",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ThermometerView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Thermometer.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<Thermometer>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Decay meter -NP",
                    NameToOrderByOverride = "NPGeiger04",
                    DescriptionOverride = "Used to check how much fuel cell has decayed (you need 30% or less to reprocess it)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/DecayMeterView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/DecayMeter.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<DecayMeter>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Isotope tester -NP",
                    NameToOrderByOverride = "NPGeiger05",
                    DescriptionOverride = "Used to check isotope name",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/IsotopeTesterView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/IsotopeTester.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<IsotopeTester>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Power Meter -NP",
                    NameToOrderByOverride = "NPGeiger04",
                    DescriptionOverride = "Used to check higher charge than power gauge can",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/PowerMeterView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/PowerMeter.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<PowerMeter>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Super Heavy Isotope Container -NP",
                    NameToOrderByOverride = "NPGeiger05",
                    DescriptionOverride = "Used to safely transport super heavy isotopes",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/SHContainerView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/SHContainer.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 5f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 5f;
                        Instance.GetOrAddComponent<SHContainer>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fuel Reprocessor -NP",
                    NameToOrderByOverride = "NPReprocessor01",
                    DescriptionOverride = "Used to reprocess used fuel into useful isotopes",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/FuelReprocessorView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/FuelReprocessor.png", 0.7f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 30f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 30f;
                        Instance.GetOrAddComponent<FuelReprocessor>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Fuel Maker -NP",
                    NameToOrderByOverride = "NPReprocessor02",
                    DescriptionOverride = "Used to make new fuel cells from fertile and fissile isotopes. Place 3 in (fertile/fertile/fissile) configuration to get LE fuels and in (Fertile/fissile/fissile) to get HE fuels. Activate again if it spewed out isotopes (which means that they weren't correct fuel combination)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/FuelMakerView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/FuelMaker.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 30f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 30f;
                        Instance.GetOrAddComponent<FuelMaker>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Particle source -NP",
                    NameToOrderByOverride = "NPReprocessor03",
                    DescriptionOverride = "Used to shoot highly energetic particles at targets (isotopes or humans or anything you want) use red activation to check power level (Requires atleast 100KeV to fire)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ParticleSourceView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/ParticleSource.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 15f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 15f;
                        Instance.GetOrAddComponent<ParticleSource>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Brick"),
                    NameOverride = "Particle -NP",
                    NameToOrderByOverride = "NPReprocessor031",
                    DescriptionOverride = "Particle from particle source do not spawn",
                    CategoryOverride = ModAPI.FindCategory("None"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/ParticleView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Particle.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 0.1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 0.1f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Life Syringe"),
                    NameOverride = "Iodine syringe -NP",
                    NameToOrderByOverride = "NPSyringe01",
                    DescriptionOverride = "Gives temporary radiation immunity (yes i know its not that realistic but people wanted something like this)",
                    CategoryOverride = ModAPI.FindCategory("Biohazard"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/IodineSyringeView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/IodineSyringe.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 3f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 3f;
                        Instance.GetOrAddComponent<IodineSyringe>();
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "U-238 Target -NP",
                    NameToOrderByOverride = "NPTarget01",
                    DescriptionOverride = "Used with particle source to create Copernicium-286 (10+ MeV particles are required)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/U-238 TargetView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/U-238 Target.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Target>().EnergyNeeded = 10000f;
                        Instance.GetComponent<Target>().ParticlesNeeded = 3f;
                        Instance.GetComponent<Target>().Isotope = "Cn-286 -NP";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Pu-242 Target -NP",
                    NameToOrderByOverride = "NPTarget02",
                    DescriptionOverride = "Used with particle source to create Flevorium-290 (15+ MeV particles are required)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Pu-242 TargetView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Pu-242 Target.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Target>().EnergyNeeded = 15000f;
                        Instance.GetComponent<Target>().ParticlesNeeded = 5f;
                        Instance.GetComponent<Target>().Isotope = "Fl-290 -NP";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Am-243 Target -NP",
                    NameToOrderByOverride = "NPTarget03",
                    DescriptionOverride = "Used with particle source to create Moscovium-291 (20+ MeV particles are required)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Am-243 TargetView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Am-243 Target.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Target>().EnergyNeeded = 20000f;
                        Instance.GetComponent<Target>().ParticlesNeeded = 4f;
                        Instance.GetComponent<Target>().Isotope = "Mc-291 -NP";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cm-246 Target -NP",
                    NameToOrderByOverride = "NPTarget04",
                    DescriptionOverride = "Used with particle source to create Livermorium-294 (10+ MeV particles are required)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cm-246 TargetView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cm-246 Target.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Target>().EnergyNeeded = 20000f;
                        Instance.GetComponent<Target>().ParticlesNeeded = 10f;
                        Instance.GetComponent<Target>().Isotope = "Lv-294 -NP";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Bk-248 Target -NP",
                    NameToOrderByOverride = "NPTarget04",
                    DescriptionOverride = "Used with particle source to create Tennessine-296 (40+ MeV particles are required)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Bk-248 TargetView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Bk-248 Target.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Target>().EnergyNeeded = 40000f;
                        Instance.GetComponent<Target>().ParticlesNeeded = 3f;
                        Instance.GetComponent<Target>().Isotope = "Ts-296 -NP";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cf-252 Target -NP",
                    NameToOrderByOverride = "NPTarget04",
                    DescriptionOverride = "Used with particle source to create Oganesson-300 (150+ MeV particles are required)",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cf-252 TargetView.png"),
                    AfterSpawn = (Instance) =>
                    {
                        foreach (UnityEngine.Object component in Instance.GetComponents<SyringeBehaviour>())
                            UnityEngine.Object.Destroy(component);
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cf-252 Target.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 6f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 6f;
                        Instance.GetOrAddComponent<Target>().EnergyNeeded = 150000f;
                        Instance.GetComponent<Target>().ParticlesNeeded = 1f;
                        Instance.GetComponent<Target>().Isotope = "Og-300 -NP";
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Cn-286 -NP",
                    NameToOrderByOverride = "NPIsotopesSH01",
                    DescriptionOverride = "Made from colliding Ca-48 with U-238, decays extrememly quickly and needs to be stored in special container.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Cn-286View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Cn-286.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 2000f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 1000f;
                        Instance.GetComponent<Radiation>().RadiationA = 1000f;
                        Instance.GetOrAddComponent<Decay>().Lifetime = 400f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Fl-290 -NP",
                    NameToOrderByOverride = "NPIsotopesSH02",
                    DescriptionOverride = "Made from colliding Ca-48 with Pu-242, decays extrememly quickly and needs to be stored in special container.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Fl-290View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Fl-290.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 3000f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 1500f;
                        Instance.GetComponent<Radiation>().RadiationA = 1200f;
                        Instance.GetOrAddComponent<Decay>().Lifetime = 300f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Mc-291 -NP",
                    NameToOrderByOverride = "NPIsotopesSH02",
                    DescriptionOverride = "Made from colliding Ca-48 with Am-243, decays extrememly quickly and needs to be stored in special container.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Mc-291View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Mc-291.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 3000f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 4f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 3000f;
                        Instance.GetComponent<Radiation>().RadiationA = 1200f;
                        Instance.GetOrAddComponent<Decay>().Lifetime = 160f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Lv-294 -NP",
                    NameToOrderByOverride = "NPIsotopesSH02",
                    DescriptionOverride = "Made from colliding Ca-48 with Cm-246, decays extrememly quickly and needs to be stored in special container.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Lv-294View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Lv-294.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 4000f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 5f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 4000f;
                        Instance.GetComponent<Radiation>().RadiationA = 1500f;
                        Instance.GetOrAddComponent<Decay>().Lifetime = 120f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Ts-296 -NP",
                    NameToOrderByOverride = "NPIsotopesSH02",
                    DescriptionOverride = "Made from colliding Ca-48 with Bk-248, decays extrememly quickly and needs to be stored in special container.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Ts-296View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Ts-296.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 6000f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 3f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 3500f;
                        Instance.GetComponent<Radiation>().RadiationA = 3000f;
                        Instance.GetOrAddComponent<Decay>().Lifetime = 80f;
                    }
                }
            );
            ModAPI.Register(
                new Modification()
                {
                    OriginalItem = ModAPI.FindSpawnable("Rod"),
                    NameOverride = "Og-300 -NP",
                    NameToOrderByOverride = "NPIsotopesSH02",
                    DescriptionOverride = "Made from colliding Ca-48 with Cf-252, decays extrememly quickly and needs to be stored in special container.",
                    CategoryOverride = ModAPI.FindCategory("Machinery"),
                    ThumbnailOverride = ModAPI.LoadSprite("Thumbnails/Og-300View.png"),
                    AfterSpawn = (Instance) =>
                    {
                        Instance.GetComponent<SpriteRenderer>().sprite = ModAPI.LoadSprite("Textures/Og-300.png", 1f);
                        Instance.FixColliders();
                        Instance.GetComponent<PhysicalBehaviour>().InitialMass = 1f;
                        Instance.GetComponent<PhysicalBehaviour>().TrueInitialMass = 1f;
                        Instance.GetOrAddComponent<Fuel>().BaseRadiation = 10000f;
                        Instance.GetComponent<Fuel>().Criticality = 10000f;
                        Instance.GetComponent<Fuel>().NeutronRadius = 6f;
                        Instance.GetComponent<Fuel>().FuelTime = 100000000f;
                        Instance.GetOrAddComponent<Radiation>().RadiationN = 10000f;
                        Instance.GetComponent<Radiation>().RadiationA = 6000f;
                        Instance.GetOrAddComponent<Decay>().Lifetime = 60f;
                    }
                }
            );
        }
    }
}