using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class ParticleSource : MonoBehaviour
    {
        public SpawnableAsset spawnable;
        public float EnergyStored;
        private void FixedUpdate()
        {
            if (EnergyStored < 50000f)
            {
                EnergyStored += this.GetComponent<PhysicalBehaviour>().Charge * 0.005f;
            }
            else;
            {
                EnergyStored += this.GetComponent<PhysicalBehaviour>().Charge * 0.0025f;
            }
        }
        private void Use(ActivationPropagation activation)
        {
            if (activation.Channel == (ushort)0 && EnergyStored > 100f)
            {
                GameObject instance;
                spawnable = ModAPI.FindSpawnable("Particle -NP");
                instance = UnityEngine.Object.Instantiate<GameObject>(spawnable.Prefab, this.transform.position, this.transform.rotation);
                instance.transform.position += this.transform.right;
                instance.AddComponent<DeregisterBehaviour>();
                instance.AddComponent<TexturePackApplier>();
                instance.AddComponent<AudioSourceTimeScaleBehaviour>();
                instance.AddComponent<SerialiseInstructions>().OriginalSpawnableAsset = spawnable;
                instance.AddComponent<Particle>().Energy = EnergyStored;
                instance.name = spawnable.name;
                CatalogBehaviour.PerformMod(spawnable, instance);
                EnergyStored = EnergyStored * 0.3f;
            }
            if (activation.Channel == (ushort)1)
            {
                ModAPI.Notify("Energy: " + EnergyStored + " KeV");
            }
        }
    }
}
