using UnityEngine;
using System;

namespace NP
{
    public class Radiation : MonoBehaviour
    {
        public float RadiationN;
        public float RadiationA;
        public float ARadiationN;
        public float ARadiationA;
        public float ActualPlating;

        private void Start()
        {
            ARadiationA = RadiationA;
            ARadiationN = RadiationN;
        }

        private void FixedUpdate()
        {
            if(this.GetComponent<Fuel>().NeutronFlux > this.GetComponent<Fuel>().Criticality)
            {
                ARadiationN = this.GetComponent<Fuel>().NeutronFlux / this.GetComponent<Fuel>().Criticality * RadiationN * 1000;
            }
            else
            {
                ARadiationN = RadiationN;
            }
            if(this.GetComponent<Fuel>().Plating < 95f)
            {
                ActualPlating = 1 - GetComponent<Fuel>().Plating*0.01f;
            }
            else
            {
                ActualPlating = 0.05f;
            }
        }

        private void OnTriggerStay2D(Collider2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<LimbBehaviour>() != null)
            {
                collider2D.gameObject.GetOrAddComponent<RadiationDose>().DoseN += ARadiationN / 100f * ActualPlating;
            }
            else if (collider2D.gameObject.GetComponent<GeigerCounter>() != null)
            {
                collider2D.gameObject.GetComponent<GeigerCounter>().Counter += ARadiationN * ActualPlating;
            }
            else if (collider2D.gameObject.GetComponent<Dosimeter>() != null)
            {
                collider2D.gameObject.GetComponent<Dosimeter>().Counter += ARadiationN / 100f * ActualPlating;
            }
        }
        private void OnCollisionEnter2D(Collision2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<LimbBehaviour>() != null)
            {
                collider2D.gameObject.GetOrAddComponent<RadiationDose>().DoseA += ARadiationA;
            }
        }
    }
}
