using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class SHContainer : MonoBehaviour
    {
        public SpawnableAsset spawnable;
        public string Isotope = "null";
        bool Reset = false;
        private void OnCollisionEnter2D(Collision2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<Decay>() != null && Isotope == "null" && Reset == false)
            {
                Destroy(collider2D.gameObject);
                Isotope = collider2D.gameObject.name;
                Reset = true;
            }
        }
        private void Use(ActivationPropagation activation)
        {
            if (activation.Channel == (ushort)0)
            {
                if(Isotope != "null")
                {
                    GameObject instance;
                    spawnable = ModAPI.FindSpawnable(Isotope);
                    instance = UnityEngine.Object.Instantiate<GameObject>(spawnable.Prefab, this.transform.position, this.transform.rotation);
                    instance.transform.position += this.transform.up * 0.1f;
                    instance.AddComponent<DeregisterBehaviour>();
                    instance.AddComponent<TexturePackApplier>();
                    instance.AddComponent<AudioSourceTimeScaleBehaviour>();
                    instance.AddComponent<SerialiseInstructions>().OriginalSpawnableAsset = spawnable;
                    instance.name = spawnable.name;
                    CatalogBehaviour.PerformMod(spawnable, instance);
                    Isotope = "null";
                }
                else
                {
                    Reset = false;
                }
            }
        }
    }
}
