using UnityEngine;
using UnityEngine.Events;
using System;

namespace NP
{
    public class Target : MonoBehaviour
    {
        public SpawnableAsset spawnable;
        public float EnergyNeeded;
        public float ParticlesNeeded;
        public float ParticlesHit;
        public string Isotope;
        private void OnCollisionEnter2D(Collision2D collider2D)
        {
            if (collider2D.gameObject.GetComponent<Particle>() != null)
            {
                if (collider2D.gameObject.GetComponent<Particle>().Energy > EnergyNeeded)
                {
                    if (ParticlesNeeded <= ParticlesHit)
                    {
                        GameObject instance;
                        spawnable = ModAPI.FindSpawnable(Isotope);
                        instance = UnityEngine.Object.Instantiate<GameObject>(spawnable.Prefab, this.transform.position, this.transform.rotation);
                        instance.transform.position += this.transform.right * 0.1f;
                        instance.AddComponent<DeregisterBehaviour>();
                        instance.AddComponent<TexturePackApplier>();
                        instance.AddComponent<AudioSourceTimeScaleBehaviour>();
                        instance.AddComponent<SerialiseInstructions>().OriginalSpawnableAsset = spawnable;
                        instance.name = spawnable.name;
                        CatalogBehaviour.PerformMod(spawnable, instance);
                        ParticlesHit = 0f;
                    }
                    else
                    {
                        ParticlesHit++;
                    }
                }
            }
        }
    }
}
